@echo off
title 360开机小助手独立版 by 404
color 8F
mode con: cols=56 lines=17
echo.
echo  即将添加/删除360开机助手启动项
echo.
echo        请以管理员身份运行，否则可能无法写入注册表
echo.
echo. ====================================================
pause
:menu
echo.
echo  1 (添加360开机助手启动)   
echo.
echo  2 (删除360开机助手启动)
echo.
echo  3 (创建桌面图标)
echo.
echo  4 (设定2345网址导航为主页)
echo.
echo. ====================================================
echo.
SET /P ST=请选择：
echo.
if /I "%ST%"=="1" goto add
if /I "%ST%"=="2" goto del
if /I "%ST%"=="3" goto icon
if /I "%ST%"=="4" goto www
cls
echo.

:del
reg delete HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /v 360开机小助手 /f>nul 2>nul
cls
echo.
echo  卸载成功！按任意键退出！
pause >nul
exit

:add
reg add HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /v 360开机小助手 /t REG_SZ /d "%~dp0SoftMgr\360speedld.exe /f>nul 2>nul"
cls
echo.
echo  添加成功！按任意键退出！
pause >nul
exit

:icon
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\360开机助手.lnk""):b.TargetPath=""%~dp0360Safe.exe"":b.WorkingDirectory=""%~dp0\"":b.Save:close")
cls
echo.
echo  添加成功！按任意键退出！
pause >nul
exit

:www
reg add "HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Main" /v "Start Page" /t reg_sz /d http://www.2345.com/?k51675963 /f 
cls
echo.
echo  设定成功！按任意键退出！
pause >nul
exit
